<script lang="ts">
	import '@picocss/pico/css/pico.css';
	import { PUBLIC_APPLICATION_NAME } from '$env/static/public';
	import { page } from '$app/stores';

	import '../app.css';

	type Link = {
		href: string;
		name: string;
	};

	const links: Link[] = [
		{ name: 'Home', href: '/' },
		{ name: 'Users', href: '/users' },
		{ name: 'Posts', href: '/posts' }
	];
</script>

<nav>
	<ul>
		<li><strong>{PUBLIC_APPLICATION_NAME}</strong></li>
	</ul>
	<ul>
		{#each links as link}
			<li>
				<a
					class="underline-offset-4 hover:text-slate-400 hover:underline"
					class:underline={$page.route.id === link.href}
					href={link.href}>{link.name}</a
				>
			</li>
		{/each}
	</ul>
</nav>

<main>
	<slot />
</main>
